petsc-3.4.2 2013-07-02

# TSComputeIFunction

Evaluates the DAE residual written in implicit form F(t,U,Udot)=0

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSComputeIFunction(TS ts,PetscReal t,Vec U,Vec Udot,Vec Y,PetscBool imex)

Collective on TS and Vec

### Input Parameters

| ts | - the TS context
| t | - current time
| U | - state vector
| Udot | - time derivative of state vector
| imex | - flag indicates if the method is IMEX so that the RHSFunction should be kept separate

### Output Parameter

Y -right hand side

### Note

Most users should not need to explicitly call this routine, as it is used internally within the nonlinear solvers.

If the user did did not write their equations in implicit form, this function recasts them in implicit form.

### Keywords

TS, compute

### See Also

TSSetIFunction(), TSComputeRHSFunction()

Level:developer
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages